# Uses of Interface
javax.imageio.event.IIOReadProgressListener

Packages that use IIOReadProgressListener
Package
Description
javax.imageio
The main package of the Java Image I/O API.

## Uses of IIOReadProgressListener in javax.imageio

Fields in javax.imageio with type parameters of type IIOReadProgressListener
Modifier and Type
Field
Description
`protected List<IIOReadProgressListener>`
ImageReader.`progressListeners`
A `List` of currently registered `IIOReadProgressListener`s, initialized by default to `null`, which is synonymous with an empty `List`.
Methods in javax.imageio with parameters of type IIOReadProgressListener
Modifier and Type
Method
Description
`void`
ImageReader.`addIIOReadProgressListener(IIOReadProgressListener listener)`
Adds an `IIOReadProgressListener` to the list of registered progress listeners.
`void`
ImageReader.`removeIIOReadProgressListener(IIOReadProgressListener listener)`
Removes an `IIOReadProgressListener` from the list of registered progress listeners.